# norootforbuild
Name:           MokoMakefile
# python-devel is needed if you want to compile and install psyco:
# svn co http://codespeak.net/svn/psyco/dist/ psyco-dist
# cd psyco-dist; python setup.py install
BuildRequires:  gcc-c++ ncurses-devel zlib-devel libopenssl-devel subversion diffstat texinfo help2man wget git-core boost monotone quilt python
%define build_qemu 0
%define allow_psyco_install 0
%if %{allow_psyco_install}
BuildRequires:  python-devel
%endif
%if %{build_qemu}
BuildRequires:  gcc33 SDL-devel netpbm dosfstools lynx
%endif
License:        GPL v3 or later
Group:          Development/Tools/Other
Autoreqprov:    off
Summary:        Builds OpenMoko using MokoMakefile
Version:        %(date +%Y%m%d)
Release:        %(date +%H%M)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%description
%prep
%define mokodir /tmp/moko
mkdir %mokodir || :
cd %mokodir
for package in bitbake open{embedded,moko}; do
	if [ ! -d $package ]; then
		something_is_missing=yes
	fi
done
#if [ "$something_is_missing" ] && ping -W 1 -c 1; then
if [ "$something_is_missing" ]; then
	set +x
	echo
	echo "###################################################################################"
	echo "If you just got this message:"
	echo
	echo "     Resolving www.rwhitby.net... failed: Temporary failure in name resolution."
	echo 
	echo "below, try:"
	echo
	echo cp -av /etc/resolv.conf root/etc
	echo
	echo "and check that you can ping www.rwhitby.net."
	echo "###################################################################################"
	echo
	if find Makefile -mmin 120; then
		: MokoMakefile is recent
	else
		wget -N http://www.rwhitby.net/files/openmoko/Makefile
	fi
	make setup
fi

%build
cd %mokodir/build
# Be sure to use the already-installed quilt:
mkdir -p tmp/stamps/i686-linux
touch    tmp/stamps/i686-linux/quilt-native-0.45-r1.do_{compile,configure,fetch,install,patch,populate_staging,qa_configure,unpack}
#The next 2 lines are for using bitbake directly:
#. ../setup-env
#bitbake openmoko-devel-image uboot-openmoko 
cd ..
make openmoko-devel-image
%if %{build_qemu}
#make qemu-local
%endif

%install
cd %mokodir/build/tmp/deploy/glibc/images/neo1973
rootfs_link="openmoko-devel-image-fic-gta01.jffs2"
uImage_link="uImage-neo1973-latest.bin"
u_boot_link="uboot-gta01bv4-latest.bin"
rootfs_file=`readlink "$rootfs_link"|sed 's|.*/||'`
uImage_file=`readlink "$uImage_link"|sed 's|.*/||'`
u_boot_file=`readlink "$u_boot_link"|sed 's|.*/||'`
mkdir -p					%buildroot
mkdir -p					%buildroot/%version-%release/{images,links}
cp -av $rootfs_file $uImage_file $u_boot_file	%buildroot/%version-%release/images
cp -av dfu-util					%buildroot/%version-%release
cd						%buildroot/%version-%release/links
ln -s ../images/$rootfs_file $rootfs_link
ln -s ../images/$uImage_file $uImage_link
ln -s ../images/$u_boot_file $u_boot_link
ls -l * ../images

%post
%postun
%clean
%files
/*
%changelog
